# Returns diagnostics information from the run

For this to work, `PRIMER_EXPLAIN_FLAG` in the must be set to "1".

    diagnose(result)

## Arguments

result | a value returned by runPrimer3

## Value

a list with statistics of the run for the left, right primers and their pairs.

## Examples

    # Too short sequence
    seq1 <- paste(c("A", "T", "G", "C")[sample(4, 100, replace = TRUE)],
                  collapse = "")
    seqOpts <- seqSettings(seqId = "seq1", seq = seq1)
    res <- design(seqOpts)
    diagnose(res)#> $PRIMER_LEFT_EXPLAIN
    #> [1] "considered 10, low tm 3, high tm 4, ok 3"
    #>
    #> $PRIMER_RIGHT_EXPLAIN
    #> [1] "considered 10, low tm 1, high tm 7, ok 2"
    #>
    #> $PRIMER_PAIR_EXPLAIN
    #> [1] "considered 5, ok 5"
    #>